Package qsardes.molecule

# Class AbstractMoleculeBuilder

java.lang.Object
qsardes.molecule.AbstractMoleculeBuilder

Direct Known Subclasses:
  `MoleculeBuilderQsarME`, `MoleculeBuilderQsarWB`

public abstract class AbstractMoleculeBuilder extends Object
Builds a molecular representation.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `AbstractMoleculeBuilder(String smiles)`
  Constructs a molecular representation.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `protected void`
  `build_graph()`
  `protected void`
  `configure_atoms()`
  `protected org.openscience.cdk.interfaces.IAtomContainer`
  `get_atom_container()`
  `int`
  `get_atom_count()`
  `int`
  `get_bond_count()`
  `org.jgrapht.graph.DefaultDirectedGraph<Integer,CustomEdge>`
  `get_graph()`
  Gets the directed graph of the molecular representation.
  `int`
  `get_implicit_hydrogens_count()`
  `protected org.openscience.cdk.interfaces.IAtomContainer`
  `set_atom_container(org.openscience.cdk.interfaces.IAtomContainer iac)`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### AbstractMoleculeBuilder

    public AbstractMoleculeBuilder(String smiles) throws Exception
    Constructs a molecular representation.
    Parameters:
      `smiles` - Molecular SMILES.
    Throws:
      `org.openscience.cdk.exception.InvalidSmilesException`
      `Exception`

- ## Method Details

  - ### get_graph

    public org.jgrapht.graph.DefaultDirectedGraph<Integer,CustomEdge> get_graph()
    Gets the directed graph of the molecular representation.
    Returns:
      directed graph.

  - ### get_atom_count

    public int get_atom_count()

  - ### get_bond_count

    public int get_bond_count()

  - ### get_implicit_hydrogens_count

    public int get_implicit_hydrogens_count()

  - ### get_atom_container

    protected org.openscience.cdk.interfaces.IAtomContainer get_atom_container()

  - ### set_atom_container

    protected org.openscience.cdk.interfaces.IAtomContainer set_atom_container(org.openscience.cdk.interfaces.IAtomContainer iac)

  - ### configure_atoms

    protected void configure_atoms() throws org.openscience.cdk.exception.CDKException
    Throws:
      `org.openscience.cdk.exception.CDKException`

  - ### build_graph

    protected void build_graph()